Get license line of authorities (LOAs) for subscribed NPNs
Returns all license LOA records for NPNs you are currently subscribed to
Query Parameters
comma separated list of license IDs
Example:10000,1000033,21733
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Response
application/json
Response
Success
Container for a list of license records in version 2
Show Child Parameters
Get license line of authorities for an associated license
Returns all license line of authorities associated with a unique license ID
Path Parameters
License ID of the data to return
Example:1234567
Response
application/hal+json
Response
Success
Container for a list of license records in version 2
Show Child Parameters
Get license for a specific NPN
Returns all licenses associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.
Query Parameters
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
true or false indicating a search for active licenses (in its absence, both active and inactive licenses will be returned)
comma separated list of LOA codes to filter licenses. This will return all licenses that match at least one of the specified LOA codes.
Example:12,3
comma seperated list of loa categories - this will filter on the loaMapping.categories array (it will return all records containing at least one of the values passed)
Example:casualty, property
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Match pattern:yyyy-MM-dd
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Path Parameters
National Producer Number (npn) of the data to return
Example:123456789
Response
application/hal+json
Response
Success
Show Child Parameters
Get licenses by ID
Retrieves a single license record using its unique license ID.
Path Parameters
Unique license ID
Response
application/hal+json
Response
Success
LicensesV1
Example:Producer
Indicates if the license was marked deleted by NIPR.
Get license line of authority by ID
Retrieves a single line of authority record using its unique loa ID.
Path Parameters
Unique line of authority ID
Response
application/hal+json
Response
Success